# Uses of Class
org.eclipse.ui.console.IOConsoleOutputStream

Packages that use IOConsoleOutputStream
Package
Description
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IOConsoleOutputStream in org.eclipse.debug.ui.console

Methods in org.eclipse.debug.ui.console that return IOConsoleOutputStream
Modifier and Type
Method
Description
`IOConsoleOutputStream`
IConsole.`getStream(String streamIdentifier)`
Returns the stream associated with the specified stream identifier.

## Uses of IOConsoleOutputStream in org.eclipse.ui.console

Subclasses of IOConsoleOutputStream in org.eclipse.ui.console
Modifier and Type
Class
Description
`class`
`MessageConsoleStream`
Used to write messages to a message console.
Methods in org.eclipse.ui.console that return IOConsoleOutputStream
Modifier and Type
Method
Description
`IOConsoleOutputStream`
IOConsole.`newOutputStream()`
Creates and returns a new output stream which may be used to write to this console.